((T)) Update to Django 2.1 then 2.2 then 3.0
02/05/2019 08:54 pm - Etienne Pallier

Status: Nouveau Start date: 02/05/2019
Priority: Normal Due date:
Assignee: Etienne Pallier % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Version 0.40 - CDE-CTRL (mainly Telescope)Spent time: 0.00 hour
Description

Update django (on utilise 2.0.5, mais la version stable courante est 2.1.5)
(12/19) Django 3.0: https://docs.djangoproject.com/en/dev/releases/3.0/
Python 3.6+

(04/19) Django 2.2 (LTS) release notes : https://www.djangoproject.com/weblog/2019/jan/17/django-22-alpha-1/
Python 3.5+
Constraints: The new CheckConstraint and UniqueConstraint classes enable adding custom database constraints. Constraints are
added to models using the Meta.constraints option.

(08/18) Django 2.1 release notes : https://docs.djangoproject.com/en/2.1/releases/2.1/
Python 3.5+
Model “view” permission: A “view” permission is added to the model Meta.default_permissions. The new permissions will be created
automatically when running migrate. This allows giving users read-only access to models in the admin.
ModelAdmin.has_view_permission() is new. The implementation is backwards compatible in that there isn’t a need to assign the
“view” permission to allow users who have the “change” permission to edit objects.
jQuery is upgraded from version 2.2.3 to 3.3.1

History
#1 - 02/06/2019 08:24 pm - Etienne Pallier
- Description updated

#2 - 02/08/2019 11:38 am - Etienne Pallier
- Target version changed from Version 0.20 - Restructuring with agents (no more celery) to Version 0.40 - CDE-CTRL (mainly Telescope)
